unit Configurar;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IniFiles, Buttons, zBtn, ExtCtrls, zGrid;

type
  TFConfigurar = class(TForm)
    bOk: TButton;
    checkpassivo: TCheckBox;
    edarquivo: TEdit;
    edsalvar: TEdit;
    edsenha: TEdit;
    edusuario: TEdit;
    editftp: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    procedure FormShow(Sender: TObject);
    procedure bOkClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FConfigurar: TFConfigurar;
  pasta          : string;
implementation

uses  zFun, zEnv;
{$R *.dfm}
function CriaDir(dirNome: string): string;
begin
  pasta := GetPath(Application.ExeName) + dirNome + '\';
  CreateDirectory(PAnsiChar(pasta), nil);
end;

procedure TFConfigurar.FormShow(Sender: TObject);
var
  ServerIni: TIniFile;
  passivo:string ;
begin
  ServerIni := TIniFile.Create(ExtractFilePath(ParamStr(0)) + 'Atualiza.ini');
  EDITFTP.Text := ServerIni.ReadString('CONEXAO','FTP','');
  edusuario.Text := ServerIni.ReadString('CONEXAO','USUARIO','');
  edsenha.text := ServerIni.ReadString('CONEXAO','PASSWD','');
  passivo := ServerIni.ReadString('CONEXAO','PASSIVO','');
  edsalvar.text := ServerIni.ReadString('CONEXAO','SALVAR','');
  edarquivo.Text:= ServerIni.ReadString('CONEXAO','ARQUIVO','');
   if passivo='S' then checkpassivo.Checked:=true
   else checkpassivo.Checked:=false;
  ServerIni.Free;
end;

procedure TFConfigurar.bOkClick(Sender: TObject);
var
  ServerIni: TIniFile;
  passivo: string;
begin
  if checkpassivo.Checked then   passivo:='S'
  else passivo:='N';
  ServerIni := TIniFile.Create(ExtractFilePath(ParamStr(0)) + 'Atualiza.ini');
  ServerIni.WriteString('CONEXAO','FTP',editftp.text);
  ServerIni.WriteString('CONEXAO','USUARIO',edusuario.text);
  ServerIni.WriteString('CONEXAO','PASSWD',edsenha.text);
  ServerIni.WriteString('CONEXAO','PASSIVO',passivo);
  ServerIni.WriteString('CONEXAO','SALVAR',edsalvar.text);
  ServerIni.WriteString('CONEXAO','ARQUIVO',edarquivo.Text);
  ServerIni.UpdateFile;
  ServerIni.Free;
  close;

end;

procedure TFConfigurar.FormActivate(Sender: TObject);
var
local:string;
begin
 local := GetCurrentDir;
  if not (DirectoryExists(local + '\Atualizacao')) then
    CriaDir('Atualizacao');
   edsalvar.Text  :=local + '\Atualizacao\';
   edarquivo.Text :='Contauto.exe'
end;

end.
