unit ThreadAtualiza;

interface

uses
  Classes, sysutils, IniFiles, Windows, Messages, Variants, Controls, Forms,
  Dialogs, UrlMon, ShellApi, ActiveX, Registry, Tlhelp32, Funcoes;

type
  threadupdate = class(TThread)
  private

    { Private declarations }
  protected
    procedure Execute; override;
  public
    procedure conectar();
    procedure fecha();
  end;


implementation

uses Atualiza_Ftp;

var
  EndServidor, NomeDos, batchName, pasta, dir, Atualizacao, local: string;
  Txt: TextFile;
  MeuRegistro: TRegIniFile;
  Mensagen2:PAnsiChar;
  Mensagen, Mensagen1 : PAnsiChar;

function CriaDir(dirNome: string): string;
begin
  pasta := ExtractFilePath(Application.ExeName) + dirNome + '\';
  CreateDirectory(PAnsiChar(pasta), nil);
end;

function Fecha_exe(ExeFileName: string): Integer;
const
  PROCESSSO_FINALIZA = $0001;
var
  ContinuaLoop: BOOL;
  FAquivo: THandle;
  FProcessoEntrada: TProcessEntry32;
begin
  Result := 0;
  FAquivo := CreateToolhelp32Snapshot(TH32CS_SNAPPROCESS, 0);
  FProcessoEntrada.dwSize := SizeOf(FProcessoEntrada);
  ContinuaLoop := Process32First(FAquivo, FProcessoEntrada);

  while Integer(ContinuaLoop) <> 0 do
    begin
      if ((UpperCase(ExtractFileName(FProcessoEntrada.szExeFile)) =
        UpperCase(ExeFileName)) or (UpperCase(FProcessoEntrada.szExeFile) =
        UpperCase(ExeFileName))) then
        Result := Integer(TerminateProcess(
          OpenProcess(PROCESSSO_FINALIZA,
          BOOL(0), FProcessoEntrada.th32ProcessID), 0));
      ContinuaLoop := Process32Next(FAquivo, FProcessoEntrada);
    end;
  CloseHandle(FAquivo);
end;
procedure threadupdate.conectar;
var
  ServerIni: TIniFile;
  passivo, arquivo, diretorio: string;
begin
  while not terminated do
  begin
    // carega o aruivo de configurao pra leitura
    ServerIni := TIniFile.Create(ExtractFilePath(ParamStr(0)) + 'Atualiza.ini');
    passivo := ServerIni.ReadString('CONEXAO', 'PASSIVO', '');
    with FAtualiza_Ftp do
    begin
      ftpupdate.Host := ServerIni.ReadString('CONEXAO', 'FTP', '');
      ftpupdate.Username := ServerIni.ReadString('CONEXAO', 'USUARIO', '');
      ftpupdate.Password := ServerIni.ReadString('CONEXAO', 'PASSWD', '');
      //ftpupdate.Password := LeINICrypt(ServerIni, 'CONEXAO', 'PASSWD', _C);
      arquivo := ServerIni.ReadString('CONEXAO', 'ARQUIVO', '');
      diretorio := ServerIni.ReadString('CONEXAO', 'SALVAR', '');
      if passivo = 'S' then
        ftpupdate.Passive := true
      else
        ftpupdate.passive := false;
      ServerIni.Free;
      ftpupdate.Connect();
      //ftpupdate.changedir('www');
      //ftpupdate.list(memo1.Lines);
      BytesToTransfer := ftpupdate.Size(arquivo);
      ftpupdate.get(arquivo, diretorio + '\' + arquivo, true);
      ftpupdate.Disconnect;
      terminate;
      // gera aruivo bat
      //pega o endereo do servidor IP e base pra reconetar depois de atualizar

      locaL := GetCurrentDir;

      CriaDir('Atualizacao');
      dir := pasta + 'Contauto.exe';

      //EndServidor := Sistema.Host + ' ' + Global.CodigoUnidade;
      //if Fmain.tipo = '0' then begin
       //Mensagen  := 'O Sistema foi Atualizado e ser reiniciado.'+ char(#13) +' Deseja Concluir a atualizao';
       //Mensagen1 := 'Atualizao Concluida';
      //end else begin
       Mensagen  := 'Para completar a atualio  necessario reiniciar o sistema' + char(#13) +'Deseja Concluir a atualizao';
       Mensagen1 := 'Atualizao';
      //end;

      if MESSAGEBOX(Application.Handle, Mensagen , Mensagen1, MB_ICONQUESTION + MB_YESNO + MB_DEFBUTTON2) = ID_YES then begin
        //criar bath e sobrepor exe
        NomeDos := ExtractShortPathName(ParamStr(0));

        /////////////////Gera aquivo bat pra atualizao//////////////////
        //CriaDir('Atualizacao','Atualiza.bat');
        batchName := pasta + 'atualiza.bat';
        AssignFile(Txt, batchName); //
        Rewrite(txt);
        FileSetAttr(ParamStr(0), 0);
        Writeln(txt, ':label1');
        Writeln(txt, '@echo off');
        Writeln(txt, 'Atualizao do Contauto');
        Writeln(txt, 'del ' + NomeDos);
        Writeln(txt, 'if Exist ' + NomeDos + ' goto Label1');
        Writeln(txt, 'Move ' + dir + ' ' + NomeDos);
        //Writeln(txt, 'Start ' + NomeDos + ' ' + EndServidor);
        Writeln(txt, 'del ' + batchName);
        CloseFile(Txt);
        ChDir(pasta);
        WinExec(Pchar(batchName), SW_HIDE);
        //////////////////////////////////////////////////////////////////

        //FAtualiza_Ftp.close;
        //Exit;
        Fecha_exe('contauto.exe');

      end else begin
        //Verifica os registros para criar o arquivo na area de trabalho
        MeuRegistro := TRegIniFile.Create('Software\MicroSoft\Windows\CurrentVersion\Explorer');
        Diretorio := MeuRegistro.ReadString('Shell Folders', 'Desktop', '');
        Atualizacao := Diretorio + '\AtualizacaoContauto.bat';

        //Cria de fato o atalho na tela
        MeuRegistro.Free;
        NomeDos := ExtractShortPathName(ParamStr(0));

        /////////////////Gera aquivo bat pra atualizao//////////////////
        AssignFile(Txt, Atualizacao);
        Rewrite(txt);
        FileSetAttr(ParamStr(0), 0);
        Writeln(txt, ':label1');
        Writeln(txt, '@echo off');
        Writeln(txt, 'title Atualizacao do Contauto');
        Writeln(txt, 'del ' + NomeDos);
        Writeln(txt, 'if Exist ' + NomeDos + ' goto Label1');
        Writeln(txt, 'Move ' + dir + ' ' + NomeDos);
        //Writeln(txt, 'Start ' + NomeDos + ' ' + EndServidor);
        Writeln(txt, 'Echo Sistema Atualizado com Sucesso ');
        Writeln(txt, 'Pause ');
        Writeln(txt, 'del ' + Atualizacao);
        CloseFile(Txt);
        //////////////////////////////////////////////////////////////////
        ShowMessage('Foi gerado um arquivo de atualizao' + char(#13) +
          ' em sua Area de trabalho Execute o arquivo atualizao' + char(#13) +
          ' para terminar de atualizar o contauto');

        FAtualiza_Ftp.close;
      end;
    end;
  end;
end;

procedure threadupdate.Execute;
begin
  conectar();
  //Fecha_exe('contauto.exe');
end;

procedure threadupdate.fecha;
begin
  Fecha_exe('contauto.exe');
end;

end.

